aboutsummaryrefslogtreecommitdiff
path: root/corepkgs/fetchurl
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2003-07-21 20:07:12 +0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2003-07-21 20:07:12 +0000
commit249988a787d26046bf7b389594ff25029229e3d9 (patch)
tree6d44fafeb9979c0dee57706d8d0dcb64d9e13bc8 /corepkgs/fetchurl
parent49231fbe419d37717b0d951377fbfc9bf445dd55 (diff)
* Allow the output/expression id to be forced to a certain
value; this potentially dangerous feature enables better sharing for those paths for which the content is known in advance (e.g., because a content hash is given). * Fast builds: if we can expand all output paths of a derive expression, we don't have to build.
Diffstat (limited to 'corepkgs/fetchurl')
-rw-r--r--corepkgs/fetchurl/fetchurl.fix1
-rw-r--r--corepkgs/fetchurl/fetchurl.sh8
2 files changed, 4 insertions, 5 deletions
diff --git a/corepkgs/fetchurl/fetchurl.fix b/corepkgs/fetchurl/fetchurl.fix
index f798c0bec..0221b612c 100644
--- a/corepkgs/fetchurl/fetchurl.fix
+++ b/corepkgs/fetchurl/fetchurl.fix
@@ -4,6 +4,7 @@ Function(["url", "md5"],
, ("url", Var("url"))
, ("md5", Var("md5"))
, ("name", BaseName(Var("url")))
+ , ("id", Var("md5"))
]
)
)
diff --git a/corepkgs/fetchurl/fetchurl.sh b/corepkgs/fetchurl/fetchurl.sh
index 1479e898b..7b6243974 100644
--- a/corepkgs/fetchurl/fetchurl.sh
+++ b/corepkgs/fetchurl/fetchurl.sh
@@ -4,9 +4,7 @@ echo "downloading $url into $out..."
wget "$url" -O "$out" || exit 1
actual=$(md5sum -b $out | cut -c1-32)
-if ! test "$md5" == "ignore"; then
- if ! test "$actual" == "$md5"; then
- echo "hash is $actual, expected $md5"
- exit 1
- fi
+if ! test "$actual" == "$md5"; then
+ echo "hash is $actual, expected $md5"
+ exit 1
fi